com.sun.javadoc

## Interface RootDoc

All Superinterfaces:
  Comparable<Object>, Doc, DocErrorReporter

    public interface RootDoc
    extends Doc, DocErrorReporter

Represents the root of the program structure information for one run of javadoc. From this root all other program structure information can be extracted. Also represents the command line information -- the packages, classes and options specified by the user.

Since:
  1.2

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassDoc[]` `classes()` Return the included classes and interfaces in all packages.
`ClassDoc` `classNamed(String qualifiedName)` Return a ClassDoc for the specified class or interface name.
`String[][]` `options()` Command line options.
`PackageDoc` `packageNamed(String name)` Return a PackageDoc for the specified package name.
`ClassDoc[]` `specifiedClasses()` Return the classes and interfaces specified as source file names on the command line.
`PackageDoc[]` `specifiedPackages()` Return the packages specified on the command line.

### Methods inherited from interface com.sun.javadoc.Doc

`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

### Methods inherited from interface com.sun.javadoc.DocErrorReporter

`printError, printError, printNotice, printNotice, printWarning, printWarning`

### Method Detail

#### options

    String[][] options()

Command line options.

For example, given:

         javadoc -foo this that -bar other ...

this method will return:

          options()[0][0] = "-foo"
          options()[0][1] = "this"
          options()[0][2] = "that"
          options()[1][0] = "-bar"
          options()[1][1] = "other"

Returns:
  an array of arrays of String.

#### specifiedPackages

    PackageDoc[] specifiedPackages()

Return the packages specified on the command line. If `-subpackages` and `-exclude` options are used, return all the non-excluded packages.

Returns:
  packages specified on the command line.

#### specifiedClasses

    ClassDoc[] specifiedClasses()

Return the classes and interfaces specified as source file names on the command line.

Returns:
  classes and interfaces specified on the command line.

#### classes

    ClassDoc[] classes()

Return the included classes and interfaces in all packages.

Returns:
  included classes and interfaces in all packages.

#### packageNamed

    PackageDoc packageNamed(String name)

Return a PackageDoc for the specified package name.

Parameters:
  `name` - package name
Returns:
  a PackageDoc holding the specified package, null if this package is not referenced.

#### classNamed

    ClassDoc classNamed(String qualifiedName)

Return a ClassDoc for the specified class or interface name.

Parameters:
  `qualifiedName` - qualified class or package name
Returns:
  a ClassDoc holding the specified class, null if this class is not referenced.